Bug 163410 - Delete the animated image catchup code
Summary: Delete the animated image catchup code
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords:
Depends on:
Blocks: 155322 161566
  Show dependency treegraph
 
Reported: 2016-10-13 15:30 PDT by Said Abou-Hallawa
Modified: 2016-10-15 17:22 PDT (History)
4 users (show)

See Also:


Attachments
Patch (16.72 KB, patch)
2016-10-13 15:31 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (16.73 KB, patch)
2016-10-13 15:36 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (22.69 KB, patch)
2016-10-14 19:23 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (20.00 KB, patch)
2016-10-15 13:46 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Said Abou-Hallawa 2016-10-13 15:30:34 PDT
If drawing an image frame took more its duration, we need to fire the timer for the next frame immediately.
Comment 1 Said Abou-Hallawa 2016-10-13 15:31:27 PDT
Created attachment 291527 [details]
Patch
Comment 2 Said Abou-Hallawa 2016-10-13 15:36:33 PDT
Created attachment 291529 [details]
Patch
Comment 3 Said Abou-Hallawa 2016-10-13 18:25:10 PDT
Comment on attachment 291529 [details]
Patch

I am working on a test.
Comment 4 Said Abou-Hallawa 2016-10-14 19:23:34 PDT
Created attachment 291700 [details]
Patch
Comment 5 Simon Fraser (smfr) 2016-10-14 22:58:15 PDT
Comment on attachment 291700 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=291700&action=review

> Source/WebCore/ChangeLog:8
> +        Test: fast/images/ordered-animated-image-frames.html

Move this line down below the description of the changes (to line 32-ish).

> Source/WebCore/ChangeLog:18
> +            passed the next_frame_desired_time. In this case we should fire the timer

passed -> past

> Source/WebCore/ChangeLog:31
> +            (k - 1) decoded.

You can also justify this removal by the fact that it was never used on iOS.
Comment 6 Said Abou-Hallawa 2016-10-15 13:46:06 PDT
Created attachment 291724 [details]
Patch
Comment 7 WebKit Commit Bot 2016-10-15 17:22:01 PDT
Comment on attachment 291724 [details]
Patch

Clearing flags on attachment: 291724

Committed r207386: <http://trac.webkit.org/changeset/207386>
Comment 8 WebKit Commit Bot 2016-10-15 17:22:05 PDT
All reviewed patches have been landed.  Closing bug.